PharFileInfo::delMetadata
PharFileInfo::getCompressedSize
PharFileInfo
PHP Manual

# PharFileInfo::getCRC32

Returns CRC32 code or throws an exception if CRC has not been verified

### Description

public int PharFileInfo::getCRC32 ( void )

This returns the crc32 checksum of the file within the Phar archive.

### Return Values

The crc32 checksum of the file within the Phar archive.

### Errors/Exceptions

Throws BadMethodCallException if the file has not yet had its CRC32 verified. This should be impossible with normal use, as the CRC is verified upon opening the file for reading or writing.

### Examples

Example #1 A PharFileInfo::getCRC32 example

`<?php
try {
$p = new Phar('/path/to/my.phar', 0, 'my.phar');
$p['myfile.txt'] = 'hi';
$file = $p['myfile.txt'];
echo $file->getCRC32();
} catch (Exception $e) {
echo 'Write operations on my.phar.phar failed: ', $e;
}
?>`

The above example will output:

    3633523372